API referenceWebhooks
List webhook endpoints
The app's endpoints (≤ 20).
Cette page n'est pas encore offerte en français; elle est affichée en anglais.
The app's endpoints (≤ 20).
AuthorizationBearer <token>
OAuth 2.0 client credentials. private_key_jwt (SMART Backend Services asymmetric) is recommended; client secrets need an IP allowlist or mTLS outside the sandbox.
In: header
Scope: webhooks:read
Query Parameters
cursor?string
Opaque cursor from nextCursor. Bound to the query's filters and valid for 24 hours.
Match
^cur_[A-Za-z0-9_-]{8,2048}$limit?integer
Page size, 1 to 100 (default 25).
Range
1 <= value <= 100Header Parameters
Api-Version?enum
Overrides the app's pinned dated version for this request.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/v1/webhook-endpoints"{ "data": [ { "apiVersion": "string", "auth": { "clientId": "string", "clientSecretSet": true, "kind": "none", "mtls": true, "tokenUrl": "string" }, "createdAt": "2026-09-14T15:00:11.402Z", "description": "string", "eventTypes": [ "string" ], "headers": [ { "name": "string", "valueSet": true } ], "health": { "circuit": "closed", "consecutiveFailures": -9007199254740991, "failingSince": "2026-09-14T15:00:11.402Z", "successRate24h": 0 }, "id": "we_k57a1x2m9q4t8v3w5x1y6z7a8b9c0d1e", "includeNewEventTypes": true, "object": "webhook_endpoint", "secret": { "previousVersionExpiresAt": "2026-09-14T15:00:11.402Z", "version": -9007199254740991 }, "sites": [ "kb-main-ed" ], "status": "enabled", "updatedAt": "2026-09-14T15:00:11.402Z", "url": "string", "version": -9007199254740991 } ], "hasMore": true, "nextCursor": "string", "object": "list"}